FreeMat

- Main Page
- Related Pages

vtkQuadric

Section: Visualization Toolkit Common Classes

# Usage

vtkQuadric evaluates the quadric function F(x,y,z) = a0*x^2 + a1*y^2 + a2*z^2 + a3*x*y + a4*y*z + a5*x*z + a6*x + a7*y + a8*z + a9. vtkQuadric is a concrete implementation of vtkImplicitFunction.

To create an instance of class vtkQuadric, simply invoke its constructor as follows

      obj = vtkQuadric

# Methods

The class vtkQuadric has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkQuadric class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkQuadric = obj.NewInstance ()`
- `vtkQuadric = obj.SafeDownCast (vtkObject o)`
- `double = obj.EvaluateFunction (double x[3])`
- `double = obj.EvaluateFunction (double x, double y, double z)`
- `obj.EvaluateGradient (double x[3], double g[3])`
- `obj.SetCoefficients (double a[10])`
- `obj.SetCoefficients (double a0, double a1, double a2, double a3, double a4, double a5, double a6, double a7, double a8, double a9)`
- `double = obj. GetCoefficients ()`